Package com.castlabs.android.player

# Class PlayerViewLifecycleDelegate.ResumeConfiguration.Builder

java.lang.Object
com.castlabs.android.player.PlayerViewLifecycleDelegate.ResumeConfiguration.Builder

Enclosing class:
  `PlayerViewLifecycleDelegate.ResumeConfiguration`

public static final class PlayerViewLifecycleDelegate.ResumeConfiguration.Builder extends Object
Builder for `PlayerViewLifecycleDelegate.ResumeConfiguration` instances.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Creates a new Builder with default values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlayerViewLifecycleDelegate.ResumeConfiguration.Builder`
  `disableTrickplay(boolean disableTrickplay)`
  Whether to disable any Trickplay mode
  `PlayerViewLifecycleDelegate.ResumeConfiguration`
  `get()`
  Builds and returns the `PlayerViewLifecycleDelegate.ResumeConfiguration`
  `PlayerViewLifecycleDelegate.ResumeConfiguration.Builder`
  `pause(boolean pause)`
  Whether to start the player in a paused state.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Creates a new Builder with default values.

- ## Method Details

  - ### pause

    public PlayerViewLifecycleDelegate.ResumeConfiguration.Builder pause(boolean pause)
    Whether to start the player in a paused state.
    Parameters:
      `pause` - the value
    Returns:
      the Builder

  - ### disableTrickplay

    public PlayerViewLifecycleDelegate.ResumeConfiguration.Builder disableTrickplay(boolean disableTrickplay)
    Whether to disable any Trickplay mode
    Parameters:
      `disableTrickplay` - the value
    Returns:
      the Builder

  - ### get

    public PlayerViewLifecycleDelegate.ResumeConfiguration get()
    Builds and returns the `PlayerViewLifecycleDelegate.ResumeConfiguration`
    Returns:
      the built configuration